# 上传学生体检信息

## 接口定义

    /partner/upload_examination_data
    POST

## Request

API请求参数

### Head

    X-DeviceInformation  {String}       设备信息, 格式为: {deviceId}
    X-LoginType          {String}       partner
    X-AppKey             {String}      appKey
    X-Sign               {String}       aes(时间戳) 加密，密码是 appSecret，时间戳有效期是2个小时

### JSON Parameters
    dataId          唯一ID,UUID
    studentId       学生ID
    height          身高
    weight          体重
    addTime         测量时间

## Response


### Example

签名

appSecret = "test123456"
appKey = "9de1f320964a11e9ad5f32001713d000"
timestamp = 1561363166
sign = base64(aes("9de1f320964a11e9ad5f32001713d000_1561363166",test123456))
sign = "U4w3+V6aufbsYFHb5jJRwwpV2TbUftLYYJmPUilnv1P/p0RIJs1D86WJaTXPO5aq"

设备ID: 11222

**Command**

   curl -X POST \
    -H "X-LoginType: partner" \
   	-H "X-DeviceInformation: 1122" \
    -H "X-Sign: U4w3+V6aufbsYFHb5jJRwwpV2TbUftLYYJmPUilnv1P/p0RIJs1D86WJaTXPO5aq" \
    -d '[{"dataId":"d7006674-9658-11e9-ad5f-32001713d000","studentId":111, "height":170, "weight": 70, "addTime":1561363166},
        {"dataId":"d7006674-9658-11e9-ad5f-32001713d001","studentId":222, "height":180, "weight": 80, "addTime":1561363166}
    ]'
      http://localhost:8080/partner/upload_examination_data

**Output**

    {
      "errno": 200,
      "msg": "success"
      "data":[
                "d7006674-9658-11e9-ad5f-32001713d000",
                "d7006674-9658-11e9-ad5f-32001713d001",
             ]
    }